part of 'location_bloc.dart';

abstract class LocationEvent extends Equatable {
  const LocationEvent();

  @override
  List<Object> get props => [];
}

class LoadLocation extends LocationEvent {
  final BldgLoc bldgloc;
  final int? id;

  const LoadLocation({required this.bldgloc, required this.id});

  @override
  List<Object> get props => [bldgloc];
}

class UpdateLocation extends LocationEvent {
  final BldgLoc bldgloc;

  const UpdateLocation(this.bldgloc);

  @override
  List<Object> get props => [bldgloc];
}
